com.informix.jdbc

## Class IfxLobDescriptor

- java.lang.Object
- - com.informix.jdbc.IfxLobDescriptor

    public class IfxLobDescriptor
    extends java.lang.Object

The IfxLobDescriptor class stores the internal characteristics of a smart large object. Before you can create a large object on the database server, you must create an IfxLobDescriptor object.

### Field Summary

Fields
`static short` `LO_DELAY_LOG` The Lob Descriptor LO_DELAY_LOG flag.
`static short` `LO_HIGH_INTEG` The Lob Descriptor LO_HIGH_INTEG flag.
`static short` `LO_KEEP_LASTACCESS_TIME` The Lob Descriptor LO_KEEP_LASTACCESS_TIME flag.
`static short` `LO_LOG` The Lob Descriptor LO_LOG flag.
`static short` `LO_MODERATE_INTEG` The Lob Descriptor LO_MODERATE_INTEG flag.
`static short` `LO_NOKEEP_LASTACCESS_TIME` The Lob Descriptor LO_NOKEEP_LASTACCESS_TIME flag.
`static short` `LO_NOLOG` The Lob Descriptor LO_NOLOG flag.
`static short` `LO_TEMP` The Lob Descriptor LO_TEMP flag.

### Constructor Summary

Constructors
Constructor and Description
`IfxLobDescriptor(java.sql.Connection conn)` Creates an IfxLobDescriptor object in preparation for creating a smart large object.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCreateFlags()` Gets the create time flags for the smart large object.
`long` `getEstSize()` Gets the estimated size (in bytes) of the smart large object.
`int` `getExtSize()` Gets the extent size of the smart large object.
`long` `getMaxBytes()` Gets the maximum size of the smart large object.
`java.lang.String` `getSbspace()` Gets the sbspace name of the smart large object.
`void` `setCreateFlags(int flags)` Sets the create time flags for smart large object.
`void` `setEstBytes(long estSize)` Sets the estimated size, in bytes, of the smart large object.
`void` `setExtSize(int extSize)` Sets the extent size for the smart large object.
`void` `setMaxBytes(long maxSize)` Sets the maximum size for the smart large object (in bytes).
`void` `setSbspace(java.lang.String name)` Sets the sbspace name for the smart large object.
`java.lang.String` `toString()` Returns CreateTimeFlags, estimatedNoBytes, sizeLimit, extentSize, and spaceName information

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LO_LOG

    public static final short LO_LOG

The Lob Descriptor LO_LOG flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_NOLOG

    public static final short LO_NOLOG

The Lob Descriptor LO_NOLOG flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_DELAY_LOG

    public static final short LO_DELAY_LOG

The Lob Descriptor LO_DELAY_LOG flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_KEEP_LASTACCESS_TIME

    public static final short LO_KEEP_LASTACCESS_TIME

The Lob Descriptor LO_KEEP_LASTACCESS_TIME flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_NOKEEP_LASTACCESS_TIME

    public static final short LO_NOKEEP_LASTACCESS_TIME

The Lob Descriptor LO_NOKEEP_LASTACCESS_TIME flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_HIGH_INTEG

    public static final short LO_HIGH_INTEG

The Lob Descriptor LO_HIGH_INTEG flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_MODERATE_INTEG

    public static final short LO_MODERATE_INTEG

The Lob Descriptor LO_MODERATE_INTEG flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

#### LO_TEMP

    public static final short LO_TEMP

The Lob Descriptor LO_TEMP flag. Refer to the Informix SQL manual for more details.

See Also:
  Constant Field Values

### Constructor Detail

#### IfxLobDescriptor

    public IfxLobDescriptor(java.sql.Connection conn)
                     throws java.sql.SQLException

Creates an IfxLobDescriptor object in preparation for creating a smart large object.

Parameters:
  `conn` - the java.sql.Connection object the JDBC driver uses to connect to the database.
Throws:
  `java.sql.SQLException`

### Method Detail

#### setCreateFlags

    public void setCreateFlags(int flags)

Sets the create time flags for smart large object.

Parameters:
  `flags` - the create time flags
See Also:
  `LO_LOG`, `LO_NOLOG`, `LO_DELAY_LOG`, `LO_KEEP_LASTACCESS_TIME`, `LO_NOKEEP_LASTACCESS_TIME`, `LO_HIGH_INTEG`, `LO_MODERATE_INTEG`, `LO_TEMP`

#### setEstBytes

    public void setEstBytes(long estSize)

Sets the estimated size, in bytes, of the smart large object.

Parameters:
  `estSize` - the estimated size

#### setMaxBytes

    public void setMaxBytes(long maxSize)

Sets the maximum size for the smart large object (in bytes).

Parameters:
  `maxSize` - the maximum size

#### setExtSize

    public void setExtSize(int extSize)

Sets the extent size for the smart large object.

Parameters:
  `extSize` - the extent size

#### setSbspace

    public void setSbspace(java.lang.String name)

Sets the sbspace name for the smart large object.

Parameters:
  `name` - the sbspace name for the smart large object

#### getCreateFlags

    public int getCreateFlags()

Gets the create time flags for the smart large object.

Returns:
  the create time flags
See Also:
  `LO_LOG`, `LO_NOLOG`, `LO_DELAY_LOG`, `LO_KEEP_LASTACCESS_TIME`, `LO_NOKEEP_LASTACCESS_TIME`, `LO_HIGH_INTEG`, `LO_MODERATE_INTEG`

#### getEstSize

    public long getEstSize()

Gets the estimated size (in bytes) of the smart large object.

Returns:
  the estimated size of the smart large object

#### getMaxBytes

    public long getMaxBytes()

Gets the maximum size of the smart large object.

Returns:
  the maximum size of the smart large object

#### getExtSize

    public int getExtSize()

Gets the extent size of the smart large object.

Returns:
  the extent size of the smart large object

#### getSbspace

    public java.lang.String getSbspace()

Gets the sbspace name of the smart large object.

Returns:
  the sbspace name of the smart large object

#### toString

    public java.lang.String toString()

Returns CreateTimeFlags, estimatedNoBytes, sizeLimit, extentSize, and spaceName information

Overrides:
  `toString` in class `java.lang.Object`